Bug 90372 - /etc/init.d/snmptrapd is corrupted...
Summary: /etc/init.d/snmptrapd is corrupted...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-07 14:48 UTC by Daniel J Blueman
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-09 14:18:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snmptrapd init script (645 bytes, application/octet-stream)
2003-05-09 13:55 UTC, Daniel J Blueman
no flags Details

Description Daniel J Blueman 2003-05-07 14:48:17 UTC
The initscript /etc/init.d/snmptrapd is corrupted with ctrl-M characters at the 
end of each line (like it's been edited in windows).

This prevents execution of it:

# /etc/init.d/snmptrapd stop  
: bad interpreter: No such file or directory

Comment 1 Phil Knirsch 2003-05-09 07:55:01 UTC
Have you tried the pending errata version:

  http://people.redhat.com/pknirsch/

i checked and the init files look correct in there.

Thanks,

Read ya, Phil

Comment 2 Daniel J Blueman 2003-05-09 10:44:33 UTC
I can confirm this RPM (as well as the one on the source media) has the same 
issues in /etc/init.d/snmptrapd.

http://www.mirror.ac.uk/sites/ftp.redhat.com/pub/redhat/linux/7.3/en/os/i386/Red
Hat/RPMS/ucd-snmp-4.2.4-3.i386.rpm

Please confirm/deny.

Comment 3 Phil Knirsch 2003-05-09 11:44:39 UTC
Thats really wierd. I just checked this morning again the rpms on
people.redhat.com and they are correct. So i really wonder why your packages
seem to be corrupt...

Could you do a

rpm -q ucd-snmp

on your machine and attach your /etc/rc.d/init.d/snmptrapd to this bugzilla entry?

Thanks,

Read ya, Phil



Comment 4 Daniel J Blueman 2003-05-09 13:55:18 UTC
Created attachment 91582 [details]
snmptrapd init script

Comment 5 Daniel J Blueman 2003-05-09 13:56:13 UTC
$ rpm -q ucd-snmp
ucd-snmp-4.2.4-3

Information and file supplied (targz'd to prevent mailer and/or samba mangling 
it).

Comment 6 Phil Knirsch 2003-05-09 13:59:16 UTC
OK, that is to be expected. The snmptrapd file was corrupted in that release.
Please download and install the latest pending errata version from
people.redhat.com/pknirsch/ and see if that still has the corrupted init files.
(it shouldn't, i verified that this morning).

Thanks,

Read ya, Phil

PS: These packages also fix various other small problems, so it's a really good
idea to update anyway. :-)


Note You need to log in before you can comment on or make changes to this bug.